"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

WCAction subclass:#WCActionConflict
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Working copy'
!


!WCActionConflict class methodsFor:'accessing'!

actionName
    "Superclass says that I am responsible to implement this method"

    ^'C'

    "Created: / 16-03-2008 / 08:49:10 / janfrog"
! !

!WCActionConflict methodsFor:'processing'!

processEntry: entry using: processor 
    "
             Double dispath to a processor, passing an entry"
    
    ^ processor processConflictEntry: entry

    "Modified: / 27-08-2009 / 08:50:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!WCActionConflict methodsFor:'testing'!

isConflict

    ^true

    "Created: / 17-08-2009 / 19:47:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCActionConflict class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__WCActionConflict.st 113 2009-08-28 11:43:01Z vranyj1 '
! !
